class Robot:
    def __init__(self, label, color, radius, start, goal, target_v, T, DT, rrtpath,waypoints):
        self.label = label
        self.color = color
        self.radius = radius
        self.start = start
        self.goal = goal
        self.current_position = start
        self.rrtpath = rrtpath
        
        self.next_step = None
        self.next_control = None

        if rrtpath is not None:
            from guided_mrmp.controllers.path_tracker import PathTracker
            self.tracker = PathTracker(start, target_v, T, DT, waypoints)
        

        self.x_history = [start[0]]
        self.y_history = [start[1]]
        self.h_history = [start[2]]

    def advance(self, map):
        pass